Skip to main content
GET
/
streaming
/
live_streams
/
v1
cURL
curl --request GET \
  --url https://api.mottostreaming.com/streaming/live_streams/v1 \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mottostreaming.com/streaming/live_streams/v1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mottostreaming.com/streaming/live_streams/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "live_streams": [
    {
      "project_id": "<string>",
      "name": "<string>",
      "id": "<string>",
      "rtmp_ingest_id": "<string>",
      "video_id": "<string>",
      "simulcasts": [
        {
          "id": "<string>",
          "name": "<string>",
          "rtmp_target": {
            "url": "<string>",
            "stream_key": "<string>"
          },
          "srt_target": {
            "url": "<string>"
          },
          "is_external": true
        }
      ],
      "accept_input": true,
      "priority": "<string>",
      "rtmp_ingest_url": "<string>",
      "srt_ingest_url": "<string>"
    }
  ],
  "next_page_token": "<string>"
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer<int32>

Maximum number of records to return

page_token
string

If this field is not empty then it must contain the next_page_token value returned by a previous call to this method. Using this field causes the method to return additional results from the previous method call.

project_id
string
required

ID of the project from which live streams are returned.

filter
string

You can filter list of live streams by video_id. Example: video_id:123

include_simulcasts
boolean

If true, the response will include simulcasts information. Defaults to false.

Response

OK

live_streams
object[]
next_page_token
string

If there are more results than have been returned, then this field is set to a non-empty value. To see the additional results, use that value as page_token in the next call to this method.